class Locmare.FormModule.FieldModule.HelperModule.Size extends Locmare.FormModule.FieldModule.HelperModule.Base
  
  initialize: (options) ->
    super(options)
    this.$el.addClass(@helper_manifest.dom_class)
  
  render: () ->
    this.$el.html('')
    @reverse = new Locmare.FormModule.FieldModule.HelperModule.SizeModule.Reverse({field: @field})
    @double = new Locmare.FormModule.FieldModule.HelperModule.SizeModule.Double({field: @field})
    @half = new Locmare.FormModule.FieldModule.HelperModule.SizeModule.Half({field: @field})
    this.$el.append(@reverse.render().el)
    this.$el.append(@double.render().el)
    this.$el.append(@half.render().el)
    this
  
  refresh: () -> 
    null
  
class Locmare.FormModule.FieldModule.HelperModule.SizeModule
class Locmare.FormModule.FieldModule.HelperModule.SizeModule.Reverse extends Backbone.View
  tagName: 'button'
  className: 'reverse'
  events: {
    'click': 'click'
  }
  
  initialize: (options) ->
    @field = options.field
  
  render: () ->
    this.$el.html('Rev')
    this
  
  click: () -> 
    @field.tag.$el.val(-@field.val())
    @field.trigger('change')
    return false
  
class Locmare.FormModule.FieldModule.HelperModule.SizeModule.Double extends Backbone.View
  tagName: 'button'
  className: 'double'
  events: {
    'click': 'click'
  }
  
  initialize: (options) ->
    @field = options.field
  
  render: () ->
    this.$el.html('x2')
    this
  
  click: () -> 
    w = @field.val() * 2
    @field.tag.$el.val(w)
    @field.trigger('change')
    return false
  
class Locmare.FormModule.FieldModule.HelperModule.SizeModule.Half extends Backbone.View
  tagName: 'button'
  className: 'half'
  events: {
    'click': 'click'
  }
  
  initialize: (options) ->
    @field = options.field
  
  render: () ->
    this.$el.html('/2')
    this
  
  click: () -> 
    w = Math.floor(@field.val() / 2)
    @field.tag.$el.val(w)
    @field.trigger('change')
    return false
  
