class Pettanr.Views.Balloon.Form extends Locmare.Form
  
  initialize: (options) ->
    super(options)
    @listenTo(@item, 'input:r', @input_r)
  
  render: () ->
    s = Form.__super__.render
    retrieve_speech_balloon_template = (speech_balloon_template) => 
      @item.templates = {}
      @item.templates.speech_balloon_template = speech_balloon_template
      s.call(this)
    retriever = new Pettanr.Cache.Retriever(Pettanr.SpeechBalloonTemplate, @item.get('speech_balloon_template_id'))
    @listenTo(retriever, 'retrieve', retrieve_speech_balloon_template)
    retriever.retrieve()
    this
  
  input_r: () ->
    @item.select_system_picture()
    @item.trigger('input:system_picture_id')
  
