class SheetPanelsController < ApplicationController
  if Manifest.manifest.magic_numbers['run_mode'] == 0
    before_action :authenticate_user, :only => [:new, :create, :edit, :update, :destroy]
    before_action :authenticate_author, :only => [:new, :create, :edit, :update, :destroy]
  else
    before_action :authenticate_reader, :only => [
      :index, :show, :by_sheet, :by_panel, :by_author
    ]
    before_action :authenticate_user, :only => [:new, :create, :edit, :update, :destroy]
    before_action :authenticate_author, :only => [:new, :create, :edit, :update, :destroy]
  end
  
  def index
    filer_list
  end
  
  def by_sheet
    filer_list
  end
  
  def by_panel
    filer_list
  end
  
  def by_author
    filer_list
  end
  
  def show
    set_show
    respond_to do |format|
      show_prof_format format
      format.json { render json: @item.sheet_panel_as_json(@operators.author) }
    end
  end
  
  def new
    form_new
  end
  
  def edit
    form_edit
  end
  
end
