module Editor
  module EditorModule
    module DockModule
      module TabModule
        class Label
          attr_accessor :parent, :caption
          def initialize parent, caption
            @parent = parent
            @caption = caption
          end
          
          def root_item
            @parent.root_item
          end
          
          def index
            @parent.index
          end
          
          def name
            @parent.name
          end
          
          def dom_id
            raise "no dom_id"
          end
          
          def dom_class
            raise "no dom_class"
          end
          
          def body
            @parent.body
          end
          
        end
        
      end
    end
  end
end
