ManifestBase.require_modules "local_manifest/filer/caption/", 
  %w|base default template none|

module LocalManifest
  module FilerModule
    class CaptionFactory < ManifestBase::Factory
      include CaptionModule
      
      def self.types
        {
          'default' => Default, 'template' => Template, 'none' => None
        }
      end
      
      def self.default_type
        'default'
      end
      
    end
  end
end
