# -*- encoding: utf-8 -*-
FactoryGirl.define do
  factory :panel, :class => Panel do |i|
    i.width 470
    i.height 247
    i.border 2
    i.caption 'test'
    i.publish 1
  end
  factory :panel_hello, :class => Panel do |i|
    i.width 514
    i.height 329
    i.border 2
    i.caption 'hello'
    i.publish 1
    trait :with_scroll_panels do
      after(:create) do |panel, evaluator|
        create(:scroll_panel_plain, t: 0, scroll: create(:scroll_hello, author: panel.author), panel: panel)
        create(:scroll_panel_plain, t: 1, scroll: create(:scroll_itojun, author: panel.author), panel: panel)
        create(:scroll_panel_plain, t: 2, scroll: create(:scroll_great, author: panel.author), panel: panel)
        create(:scroll_panel_plain, t: 3, scroll: create(:scroll_diary, author: panel.author), panel: panel)
      end
    end
    factory :panel_hello_with_scroll_panels, traits: [:with_scroll_panels]
  end
  factory :panel_my_name, :class => Panel do |i|
    i.width 514
    i.height 329
    i.border 2
    i.caption 'my name is'
    i.publish 1
  end
  factory :panel_penjiro, :class => Panel do |i|
    i.width 514
    i.height 329
    i.border 2
    i.caption 'penjiro'
    i.publish 1
  end
  factory :panel_enjoy, :class => Panel do |i|
    i.width 514
    i.height 329
    i.border 2
    i.caption 'enjoy!'
    i.publish 1
  end
  factory :panel_install_install, :class => Panel do |i|
    i.width 200
    i.height 80
    i.border 2
    i.caption ''
    i.publish 0
  end
  factory :panel_great, :class => Panel do |i|
    i.width 200
    i.height 80
    i.border 2
    i.caption ''
    i.publish 1
  end
  factory :panel_awesome, :class => Panel do |i|
    i.width 333
    i.height 240
    i.border 2
    i.caption ''
    i.publish 1
  end
  factory :panel_wonderful, :class => Panel do |i|
    i.width 500
    i.height 300
    i.border 3
    i.caption ''
    i.publish 1
  end
  factory :panel_, :class => Panel do |i|
    i.width 500
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel008, :class => Panel do |i|
    i.width 500
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel009, :class => Panel do |i|
    i.width 200
    i.height 80
    i.border 2
    i.caption ''
    i.publish 0
    i.author_id 1
  end
  factory :panel010, :class => Panel do |i|
    i.width 496
    i.height 254
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel011, :class => Panel do |i|
    i.width 200
    i.height 265
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel012, :class => Panel do |i|
    i.width 395
    i.height 223
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel013, :class => Panel do |i|
    i.width 500
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel014, :class => Panel do |i|
    i.width 500
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel015, :class => Panel do |i|
    i.width 500
    i.height 265
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel016, :class => Panel do |i|
    i.width 500
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel017, :class => Panel do |i|
    i.width 500
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel018, :class => Panel do |i|
    i.width 500
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel019, :class => Panel do |i|
    i.width 479
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel020, :class => Panel do |i|
    i.width 479
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel021, :class => Panel do |i|
    i.width 479
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel022, :class => Panel do |i|
    i.width 479
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel023, :class => Panel do |i|
    i.width 479
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel024, :class => Panel do |i|
    i.width 500
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel025, :class => Panel do |i|
    i.width 500
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel026, :class => Panel do |i|
    i.width 500
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel027, :class => Panel do |i|
    i.width 500
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel028, :class => Panel do |i|
    i.width 500
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel029, :class => Panel do |i|
    i.width 500
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel030, :class => Panel do |i|
    i.width 500
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel031, :class => Panel do |i|
    i.width 463
    i.height 285
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel032, :class => Panel do |i|
    i.width 500
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel033, :class => Panel do |i|
    i.width 500
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel034, :class => Panel do |i|
    i.width 500
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel035, :class => Panel do |i|
    i.width 500
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel036, :class => Panel do |i|
    i.width 500
    i.height 300
    i.border 2
    i.caption 'ペン次郎が照れているコマ'
    i.publish 1
    i.author_id 1
  end
  factory :panel037, :class => Panel do |i|
    i.width 500
    i.height 265
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel038, :class => Panel do |i|
    i.width 500
    i.height 265
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel039, :class => Panel do |i|
    i.width 500
    i.height 265
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel040, :class => Panel do |i|
    i.width 500
    i.height 265
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel041, :class => Panel do |i|
    i.width 200
    i.height 80
    i.border 1
    i.caption ''
    i.publish 0
    i.author_id 1
  end
  factory :panel042, :class => Panel do |i|
    i.width 200
    i.height 80
    i.border 1
    i.caption ''
    i.publish 0
    i.author_id 1
  end
  factory :panel043, :class => Panel do |i|
    i.width 500
    i.height 265
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel044, :class => Panel do |i|
    i.width 500
    i.height 265
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel045, :class => Panel do |i|
    i.width 500
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel046, :class => Panel do |i|
    i.width 500
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel047, :class => Panel do |i|
    i.width 500
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel048, :class => Panel do |i|
    i.width 479
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel049, :class => Panel do |i|
    i.width 479
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel050, :class => Panel do |i|
    i.width 479
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel051, :class => Panel do |i|
    i.width 479
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel052, :class => Panel do |i|
    i.width 479
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel053, :class => Panel do |i|
    i.width 500
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel054, :class => Panel do |i|
    i.width 500
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel055, :class => Panel do |i|
    i.width 500
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel056, :class => Panel do |i|
    i.width 500
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel057, :class => Panel do |i|
    i.width 500
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel058, :class => Panel do |i|
    i.width 500
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel059, :class => Panel do |i|
    i.width 500
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel060, :class => Panel do |i|
    i.width 463
    i.height 285
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel061, :class => Panel do |i|
    i.width 500
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel062, :class => Panel do |i|
    i.width 500
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel063, :class => Panel do |i|
    i.width 500
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel064, :class => Panel do |i|
    i.width 500
    i.height 300
    i.border 2
    i.caption ''
    i.publish 1
    i.author_id 1
  end
  factory :panel065, :class => Panel do |i|
    i.width 500
    i.height 300
    i.border 2
    i.caption 'ペン次郎が照れているコマ'
    i.publish 1
    i.author_id 1
  end
end
