class Pettanr.ResourcePicturesController extends Pettanr.AppController
  
  index: () ->
    @trigger('title', @params)
    @filer_list()
    @trigger('done', @params)
  
  by_artist: () ->
    @trigger('title', @params)
    @filer_list()
    @trigger('done', @params)
  
  by_license_group: () ->
    @trigger('title', @params)
    @filer_list()
    @trigger('done', @params)
  
  by_license: () ->
    @trigger('title', @params)
    @filer_list()
    @trigger('done', @params)
  
  show: () ->
    @set_show(@render_show)
  
  render_show: (@item) -> 
    switch @params['format']
      when 'prof'
        @show_prof()
      when 'html'
        @show_html()
  
  show_html: () -> 
    @trigger('title', @params)
    show = new Pettanr.Views.ResourcePicture.Show({
      item: @item,
    })
    show.render()
    @trigger('ready', show)
    @trigger('done', @params)
  
  destroy: () ->
    @set_show(@render_destroy)
  
  render_destroy: (@item) ->
    @listenTo(@item, 'destroy:success', @destroy_success)
    @listenTo(@item, 'destroy:fail', @destroy_fail)
    @item.destroy()
  
