class Pettanr.Views.Picture.History extends Backbone.View
  tagName: 'div'
  
  initialize: (options) ->
    @item = options.item
  
  render: () ->
    this.$el.html('')
    r = new Tag.A({
      attr: {href: '/' + @item.show_url()},
      content: @item.get('revision')
    })
    @listenTo(r, 'click', @click_show)
    h = new Tag.H3({
      content: Pettanr.AppHelper.t_m('Picture.revision') + ':'
    })
    d = new Tag.Div({
      content: Pettanr.AppHelper.t_m('Picture.created_at') + ':' + @item.get('created_at')
    })
    credit = @item.credit_view()
    @listenTo(credit, 'click:icon', @click_icon)
    this.$el.append(h.render().el)
    h.$el.append(r.render().el)
    this.$el.append(d.render().el)
    this.$el.append(credit.render().el)
    this
  
  click_show: () ->
    @trigger('http_get', @item.show_url())
  
  click_icon: () ->
    @trigger('http_get', @item.show_url())
  
