ManifestBase.require_modules "local_manifest/filer/edit/", 
  %w|edit|

module LocalManifest
  module FilerModule
    class EditFactory < ManifestBase::Factory
      include EditModule
      
      def self.types
        {
          'default' => Default, 'none' => None, 'template' => Template, 
          'account' => Account
        }
      end
      
      def self.default_type
        'default'
      end
      
    end
    
  end
end
