ManifestBase.require_modules "local_manifest/form/", 
  %w|use|

module LocalManifest
  class Form < ManifestBase::Base
    include FormModule
    
    attr :uses
    
    def set_default
      super
      @json['uses'] ||= {}
    end
    
    def init
      super
      @uses = ManifestBase.load_name_values self, @json, 'uses', Use
    end
    
    def controller_name
      @name
    end
    
  end
end

