module LocalManifest
  module FormModule
    module UseModule
      module FieldModule
        module HelperModule
          class Base < ManifestBase::TypeNameArgs
            attr :file_name
            
            def set_default
              super
              @args['file_name'] ||= @type + '_helper'
            end
            
            def init
              super
              @file_name = @args['file_name']
            end
            
            def use_name
              @parent.use_name
            end
            
            def form_name
              @parent.form_name
            end
            
            def field_name
              @parent.field_name
            end
            
          end
          
        end
      end
    end
  end
end
