module Locmare
  module ListGroupModule
    class ForeignFilterList < FilterList
      
      def init
        super
        @filter_table_name = ::Manifest.manifest.models[@filter_item_name].classify.table_name
      end
      
      def filter_list_where
        [@filter_table_name + '.id' + ' = ?', self.filter_id] 
      end
      
      def include_hash
        # no call super
        # foreign_filter includes manifest must configure type: 'method'
        # super
        @includes.includes
      end
      
    end
    
  end
end
